if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='rep_origenDato' and column_name = 'duracion' )
alter table [rep_origenDato] add [duracion] int DEFAULT 0
go

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='rep_origenDato'
      AND [columna]='duracion'AND[mostrarEnGrilla]=1 AND[ordenGrilla]=11 AND[requerido]=1 AND[tipo]='int'AND[defecto]=0 AND [tamano] IS NULL)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('rep_origenDato' ,'duracion',1 ,11 ,1 ,'int' ,0 ,null)
END

UPDATE rep_origenDato SET duracion=0